@media only screen and (max-width: 1920px) and (min-width: 1500px) {
    .container {
        max-width: 1380px;
    }
}

@media only screen and (max-width: 1600px) {
    .hero-main p {
        font-size: 1.25rem;
    }

    .ctaContent h2 {
        font-size: 3.5rem;
        word-spacing: 1rem;
    }

    .ctaSection {
        height: 100vh;
    }

    .mainHeading h2 {
        font-size: 3.5rem;
    }

    .customerUser h3 {
        font-size: 1.125rem;
    }

    .instaWrap img {
        height: 400px;
    }

    .footLogo img {
        max-width: 350px;
    }

    .gallery__img {
        height: 450px;
    }

    .ctaContent .themeBtn {
        font-size: 1.125rem;
        margin-top: 0.5rem;
    }
    .navbar-brand {
        max-width: 240px;
    }
    .innerEvent .eventWrap figure img {
        width: 100%;
    }

    .eventWrap.gridView {
        gap: 1rem;
        margin-top: 1rem;
    }

    .innerEvent .eventWrap .eventContent h3 {
        font-size: 1.75rem;
    }

    .innerEvent .listitem li span {
        padding: 0.875rem 1rem;
    }

    .innerEvent .listitem li label {
        margin: 0;
    }

    .searchEvents {
        margin-bottom: 3rem;
    }
    .innerEvent .dataList-Viewitem-col .eventWrap figure img {
        max-width: 280px;
        aspect-ratio: 1;
        object-fit: cover;
    }

    .innerEvent .dataList-Viewitem-col .eventWrap {
        margin-top: 2rem;
    }
    .eventContent p {padding-bottom: 0;word-break: break-all;}
    .innerclasses .eventWrap figure {
        width: 100%;
    }
    .innerclasses .eventWrap img {
        height: 450px;
    }
    .innerclasses .eventWrap.ListView figure {
        width: fit-content;
    }

    .innerRentals .eventWrap h3 {
        font-size: 1.75rem;
        margin-bottom: 0.25rem !important;
    }
    .faqSection .card .btn {
        font-size: 1.5rem;
    }
    section.faqSection {
        padding: 6rem 0;
    }
    .contactBox {
        flex-direction: column;
        align-items: center;
        text-align: center;
        width: 100% !important;
    }
}

@media only screen and (max-width: 1445px) {
    .heroSection {
        height: 536px;
        border-width: 3px;
    }

    .homeSlider :is(.swiper-button-next, .swiper-button-prev) {
        width: 60px;
        height: 60px;
    }

    .homeSlider :is(.swiper-button-next, .swiper-button-prev)::after {
        font-size: 1.75rem;
    }

    .homeSlider .swiper-pagination-bullet {
        width: 1rem;
        height: 1rem;
    }

    .homeSlider .swiper-pagination {
        margin-bottom: 1rem;
    }

    .ctaContent h2,
    .mainHeading h2 {
        font-size: 3rem;
    }

    section.gallerySection {
        padding: 5rem 0;
    }

    .gallery__img {
        height: 400px;
    }

    .instaWrap img {
        height: 350px;
    }

    .footLogo img {
        max-width: 300px;
    }

    footer h3 {
        font-size: 1.375rem;
        margin-bottom: 0;
    }

    .ctaContent h2 {
        word-spacing: 10px;
    }
    .navbar-brand {
        max-width: 200px;
    }

    .innerBan h2 {
        font-size: 3.75rem;
        font-weight: 600;
    }
    .innerclasses .eventWrap img {
        height: 400px;
    }
    section.ourSpaces {
        padding: 6rem 0;
    }

    .innerRentals .eventWrap {
        margin-bottom: 0;
    }
    section.faqSection {
        padding: 5rem 0;
    }
    .contactForm .form-group .form-control {
        height: 4.625rem;
    }
}

@media only screen and (max-width: 1366px) {
    html {
        font-size: 15px;
    }
    .hero-main p {
        font-size: 1.125rem;
    }

    .heroSection {
        height: 480px;
    }

    .ctaContent h2, .mainHeading h2 {
        font-size: 2.5rem;
    }

    .ctaSection {
        height: 700px;
    }

    .customerUser > img {
        max-width: 70px;
        height: auto;
        aspect-ratio: 1;
    }

    .customerUser {
        margin: 2rem 0 0 1rem;
    }

    .customerBox {
        padding: 2rem 1.5rem;
    }

    .gallery__img {
        height: 300px;
        padding: 0.5rem;
    }

    .instaWrap img {
        height: 300px;
    }

    .footLogo img {
        max-width: 280px;
    }

    footer {
        padding-top: 3rem;
    }
    div#map iframe {
        height: 380px;
    }
    .hero-main img {
        height: 100px;
    }
    .innerEvent .dataList-Viewitem-col .eventWrap.gridView {
        margin-top: 1rem;
    }

    .innerEvent .dataList-Viewitem-col .eventWrap.gridView figure img {
        max-width: 100%;
    }
    .innerBan h2 {
        font-size: 3.25rem;
    }
    .navbar-brand {
        max-width: 150px;
    }

    .navbar-nav .nav-item .nav-link.btn {
        padding: 0.875em 1em;
    }
    .innerclasses .eventWrap img {
        height: 350px;
    }

    .innerclasses .eventWrap.ListView figure img {
        width: 400px;
    }
    .innerclasses .eventWrap.ListView {
        margin: 1.5rem 0 0;
        gap: 1.5rem;
    }
    .eventSection {
        padding: 4rem 0;
    }
    section.ourSpaces {
        padding: 5rem 0;
    }

    .innerRentals .eventWrap h3 {
        font-size: 1.5rem;
    }
    section.faqSection {
        padding: 4rem 0;
    }
    .faqSection .card .btn {
        font-size: 1.375rem;
    }
    .faqSection .card+.card {margin-top: 2rem;}
    .faqSection .card .card-body p,.faqSection .card .card-body p span {
        font-size: 1rem !important;
        color: var(--white) !important;
        margin-bottom: 0;
    }
    .faqSection .card .card-body p+p{
        margin-top: 1rem;
    }
    .faqSection .card .card-body {
        padding: 2rem;
    }
    .contactSec {
        padding: 6rem 0;
    }
    .contactBox figure {
        max-width: 6rem;
        height: auto;
        aspect-ratio: 1;
    }
    .contactBox a {
        font-size: 1.125rem;
    }

    .mapsection iframe {
        height: 600px;
        display: block;
    }
}

@media (max-width: 1199.98px) {
    html {
        font-size: 14px;
    }
    header {
        padding: 1.5rem 0;
    }

    .hero-main img {
        height: 90px;
    }

    .hero-main p {
        font-size: 1rem;
    }

    .heroSection {
        height: 400px;
    }

    .homeSlider :is(.swiper-button-next, .swiper-button-prev) {
        height: 50px;
        width: 50px;
    }

    .homeSlider .swiper-pagination-bullet {
        width: 0.875rem;
        height: 0.875rem;
        margin: 0 0.375rem !important;
    }

    .ctaContent h2, .mainHeading h2 {
        font-size: 2.25rem;
    }

    .ctaSection {
        height: 600px;
    }

    .ctaContent h2 {
        word-spacing: 5px;
    }

    .customerSection {
        padding: 4rem 0;
    }

    section.gallerySection {
        padding: 4rem 0;
    }

    .gallery__img {
        height: 260px;
    }

    .instaWrap img {
        height: 250px;
    }

    .instaSection {
        padding: 4rem 0;
    }

    .footLogo img {
        max-width: 240px;
    }
    .searchEvents {
        flex-wrap: wrap;
        justify-content: center;
        gap: 1.5rem 1rem;
        padding: 2rem 1rem;
    }
    .searchEvents button.themeBtn+span {
        display: none;
    }

    .innerEvent .eventWrap .eventContent h3 {
        font-size: 1.5rem;
    }
    .innerBan h2 {
        font-size: 2.875rem;
    }

    .navbar-toggler {
        color: var(--white);
        font-size: 1.5rem;
        margin-left: auto;
    }
    .navbar-brand {
        max-width: 140px;
    }

    .eventSection.innerEvent {
        padding: 4rem 0;
    }
    .innerEvent .listitem li span {
        padding: 0.75rem 0.5rem;
    }
    section.heroSection.innerBan {
        height: 350px;
        margin: 0 1rem 2rem;
    }
    .innerclasses .eventWrap img {
        height: 300px;
    }
    .innerclasses .eventWrap.ListView figure img {
        width: 350px;
    }
    .eventSection {
        padding: 3rem 0;
    }
    .m-space img {
        height: 100%;
        max-width: 100%;
    }

    section.ourSpaces {
        padding: 4rem 0;
    }
    section.faqSection {
        padding: 3rem 0;
    }
    .faqSection .card .btn {
        font-size: 1.25rem;
    }.faqSection .card+.card {margin-top: 1.5rem;}
    .mainLogo {
        max-width: 160px;
        margin-bottom:1rem;
    }

    .contactSec {
        padding: 5rem 0;
    }
    .contactBox figure {
        max-width:5.5rem;
    }

    .mapsection iframe {
        height: 500px;
    }
}

@media (max-width: 991.98px) {
    html {
        font-size: 13px;
    }

    .heroSection {
        height: 350px;
        border-width: 2px;
    }

    .hero-main img {
        height: 80px;
    }

    .ctaContent h2, .mainHeading h2 {
        font-size: 2rem;
    }

    .ctaContent h2 {
        word-spacing: 0;
    }

    .ctaSection {
        height: 500px;
    }

    .customerUser > img {
        max-width: 60px;
    }

    .customerSection {
        padding: 3rem 0;
    }

    section.gallerySection {
        padding: 3rem 0;
    }

    .instaWrap img {
        height: 200px;
    }

    .footLogo img {
        max-width: 200px;
    }

    .instaSection {
        padding: 3rem 0;
    }
    div#map iframe {
        height: 300px;
    }
    section.heroSection.innerBan {
        height: 300px;
    }

    .innerBan h2 {
        font-size: 2.75rem;
    }

    .eventSection.innerEvent {
        padding: 3rem 0;
    }

    .innerEvent .listitem li {
        display: flex;
        gap: 0.75rem;
        padding: 0.75rem;
    }

    .innerEvent .listitem li span {
        font-size: 0.935rem;
        padding: 0;
    }
    .searchEvents > div {
        flex: 1;
        max-width: 500px;
    }

    .searchEvents {justify-content: start;gap: 1rem;padding: 2rem;}

    .searchEvents > div.ml-xl-auto {
        max-width: 100%;
        justify-content: center;
    }

    input#search_dates {
        min-width: 178px;
    }
    .innerEvent .dataList-Viewitem-col .eventWrap figure img {
        max-width: 200px;
    }
    .innerclasses .eventWrap img {
        height: 260px;
    }

    .innerclasses .eventWrap.ListView figure img {
        width: 300px;
    }

    .eventSection {
        padding: 2rem 0;
    }
    section.ourSpaces {
        padding: 3rem 0;
    }
    .innerRentals .eventWrap p span {
        font-size: 1rem !important;
    }
    header {
        padding: 1rem 0;
    }
    .navbar-brand {
        max-width: 130px;
    }
    .faqSection .card .btn {
        font-size: 1.125rem;
        padding: 1rem;
    }
    .faqSection .card+.card {margin-top: 1rem;}
    .faqSection .card .card-body {
        padding: 1.5rem;
    }
    .mainLogo {
        max-width: 140px;
    }
    .contactForm .form-group .form-control {
        height: 4.25rem;
    }
    .contactSec {
        padding: 4rem 0;
    }
    .contactBox figure {
        max-width: 5rem;
        font-size: 1.5rem;
    }
    .mapsection iframe {
        height: 400px;
    }
}

@media (max-width: 767.98px) {
    html {
        font-size: 12px;
    }
    .hero-main p {
        font-size: 1.125rem;
    }

    .ctaSection {
        height: 400px;
    }

    .ctaContent h2, .mainHeading h2 {
        font-size: 1.75rem;
    }

    .gallery__img {
        height: 220px;
    }

    .footLogo img {
        max-width: 160px;
    }

    footer .row {
        gap: 1.5rem 0;
    }
    .homeSlider :is(.swiper-button-next, .swiper-button-prev) {
        width: 3.5rem;
        height: 3.5rem;
    }
    .hero-main img {
        height: 70px;
    }
    div#map iframe {
        height: 260px;
    }
    .navbar-nav {
        gap: 0;
        margin-bottom: 1rem;
    }
    section.heroSection.innerBan {
        height: 240px;
    }

    .innerBan h2 {
        font-size: 2.25rem;
    }

    .searchEvents {
        margin: 1rem 0 1.5rem 0;
        padding: 1.5rem 1.75rem;
        gap: 1.25rem 1rem;
    }

    .innerEvent .listitem {
        margin-bottom: 2rem;
    }
    .searchEvents span.select2.select2-container.select2-container--default {
        width: 100% !important;
        max-width: 190px !important;
    }

    .searchEvents > div.ml-xl-auto {width: 100%;}

    .searchEvents > div {
        max-width: 500px;
        flex: auto;
    }

    .innerclasses .eventWrap img {
        height: auto;
    }

    .innerclasses .eventWrap.ListView figure img {
        width: 200px;
    }
    .innerRentals .eventWrap h3 {
        font-size: 1.375rem;
        font-weight: 600;
    }
    .innerRentals .eventWrap p {
        margin-bottom: 1rem;
    }
    .navbar-brand {
        max-width: 120px;
    }
    .faqSection .card .btn {
        gap: 0.5rem;
        padding: 1rem 1.5rem 1rem 0.5rem;
        font-size: 1rem;
    }

    .faqSection .card .btn span {
        padding-right: 0.5rem;
    }

    .faqSection .card .btn::before {
        right: 0.5rem;
    }
    .login-box {
        width: 100%;
        border: 0;
        box-shadow: none;
        padding: 0;
    }
    .contactSec {
        padding: 3rem 0;
    }

    .contactBox {padding: 0;flex-direction: row;text-align: left;margin-top: 2rem;}
    .contactForm .form-group {
        margin-bottom: 1rem;
    }
    .contactForm .form-group .form-control {
        padding-left: 1rem;
        height: 4rem;
    }
    .contactSec .mainHeading p {
        font-size: 1.125rem;
    }
    p{
        line-height: normal;
    }
    .mapsection iframe {
        height: 350px;
    }
}

@media (max-width: 575.98px) {
    .hero-main img {
        height: 60px;
    }

    .heroSection {
        height: 280px;
        border-width: 1px;
    }

    .homeSlider :is(.swiper-button-next, .swiper-button-prev)::after {
        font-size: 1.375rem;
    }

    .homeSlider .swiper-pagination-bullet {
        margin: 0 0.25rem !important;
        width: 0.75rem;
        height: 0.75rem;
    }

    .homeSlider .swiper-pagination-bullet.swiper-pagination-bullet-active {transform: scale(1.2);}

    .ctaSection {
        height: 350px;
    }

    .customerUser > img {
        max-width: 50px;
    }

    .mainHeading span {
        font-size: 1rem;
    }

    .ctaContent h2, .mainHeading h2 {
        font-size: 1.5rem;
    }

    footer h3 {font-weight: 700;}

    div#map iframe {
        height: 220px;
    }
    .footBottom a {
        display: inline-block;
        font-size: 1rem;
    }

    footer .footBottom .row {
        gap: 0.75rem 0;
    }

    .footLogo img {
        max-width: 140px;
    }

    footer {
        padding-top: 2rem;
    }
    .gallery__img {
        height: 160px;
    }

    .instaWrap img {
        height: 150px;
    }

    .themeBtn {
        font-size: 1rem;
    }

    .ctaContent .themeBtn {
        font-size: 1rem;
    }
    .innerEvent .dataList-Viewitem-col .eventWrap figure img {
        max-width: 120px;
    }

    .eventWrap {
        gap: 1rem;
        margin-top: 1rem !important;
    }

    .searchEvents div.daysss {
        flex-direction: column;
        align-items: flex-start;
        gap: 1rem;
    }

    .innerBan h2 {
        font-size: 1.875rem;
    }

    section.heroSection.innerBan {
        height: 180px;
    }
    .searchEvents {
        gap: 1rem 0;
        margin: 1rem 0;
        padding: 1.375rem;
    }

    .searchEvents span.select2.select2-container.select2-container--default {
        max-width: 240px !important;
    }

    .searchEvents div.daysss div {
        padding: 0;
    }

    .innerclasses .eventWrap.ListView figure img {
        width: 140px;
    }

    .innerclasses .eventWrap.ListView {
        margin: 1rem 0 0 0;
        gap: 1rem;
    }
    .navbar-brand {
        max-width: 110px;
    }
    .contactSec {
        padding: 2rem 0;
    }
    .contactBox figure {
        max-width: 4rem;
        font-size: 1.25rem;
    }
    .mapsection iframe {
        height: 250px;
    }
}

@media (max-width: 320.98px) {}
